Get the unit used by a rate. The unit is determined by the usage unit on the most recent template assigned to a meter with the given rate.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| rateId | Unique identifier of the rate schedule for which the unit will be retrieved | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
UnitResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| unitCode | string | |||||||||||||
| unitId | integer (int32) | |||||||||||||
| unitInfo | string | |||||||||||||
| unitType | UnitType | |||||||||||||
|
UnitType properties
|
||||||||||||||
Example Response
{ "unitCode": "string", "unitId": 1, "unitInfo": "string", "unitType": { "unitTypeCode": "string", "unitTypeId": 1, "unitTypeInfo": "string"
}
}